ChangeSet 1.781.21.5, 2002/10/15 00:11:55-07:00, randy.dunlap@verizon.net

[PATCH] 2.5.42 HID-BP menu

HID-BP confuses people, we know that.
I don't want to see the HID-BP drivers removed,
but I think it would be a good idea to make them more
difficult to enable, unless someone knows what they
are looking for.  (Basically it would reduce support
incidents a lot.)

The second way puts HID-BP in its own sub-menu and
updates the Help file.  I think that this is the better
choice, so unless there is a great hue and cry,
please apply the "hidbpmenu-2542.patch" file.


diff -Nru a/drivers/usb/input/Config.help b/drivers/usb/input/Config.help
--- a/drivers/usb/input/Config.help	Fri Oct 18 14:43:51 2002
+++ b/drivers/usb/input/Config.help	Fri Oct 18 14:43:51 2002
@@ -63,7 +63,8 @@
   to use the generic HID driver for your USB keyboard and prefer
   to use the keyboard in its limited Boot Protocol mode instead.
 
-  This is almost certainly not what you want.
+  This is almost certainly not what you want.  This is mostly
+  useful for embedded applications or simple keyboards.
 
   This code is also available as a module ( = code which can be
   inserted in and removed from the running kernel whenever you want).
@@ -77,7 +78,8 @@
   to use the generic HID driver for your USB keyboard and prefer
   to use the keyboard in its limited Boot Protocol mode instead.
 
-  This is almost certainly not what you want.
+  This is almost certainly not what you want.  This is mostly
+  useful for embedded applications or simple mice.
 
   This code is also available as a module ( = code which can be
   inserted in and removed from the running kernel whenever you want).
diff -Nru a/drivers/usb/input/Config.in b/drivers/usb/input/Config.in
--- a/drivers/usb/input/Config.in	Fri Oct 18 14:43:51 2002
+++ b/drivers/usb/input/Config.in	Fri Oct 18 14:43:51 2002
@@ -15,8 +15,11 @@
 dep_mbool '    /dev/hiddev raw HID device support' CONFIG_USB_HIDDEV $CONFIG_USB_HID
 
 if [ "$CONFIG_USB_HID" != "y" ]; then
-   dep_tristate '  USB HIDBP Keyboard (basic) support' CONFIG_USB_KBD $CONFIG_USB $CONFIG_INPUT
-   dep_tristate '  USB HIDBP Mouse (basic) support' CONFIG_USB_MOUSE $CONFIG_USB $CONFIG_INPUT
+   mainmenu_option next_comment
+   comment 'USB HID Boot Protocol drivers'
+   dep_tristate '  USB HIDBP Keyboard (simple Boot) support' CONFIG_USB_KBD $CONFIG_USB $CONFIG_INPUT
+   dep_tristate '  USB HIDBP Mouse (simple Boot) support' CONFIG_USB_MOUSE $CONFIG_USB $CONFIG_INPUT
+   endmenu
 fi
 
 dep_tristate '  Aiptek 6000U/8000U tablet support' CONFIG_USB_AIPTEK $CONFIG_USB $CONFIG_INPUT
